Skip to main content
POST
/
api
/
v1
/
repositories
/
{repo_name}
/
tags
cURL
curl --request POST \
  --url https://api.example.com/api/v1/repositories/{repo_name}/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tag_name": "<string>",
  "description": "<string>"
}
'
{
  "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reference": "<string>",
  "tag_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repo_name
string
required

Repository name

Body

application/json

Request body for creating a tag within a repository: POST /api/v1/repositories/{repo_name}/tags

commit_id
string<uuid>
required

The commit ID this tag should point to

tag_name
string
required

The tag name (e.g. "latest", "v1.0")

description
string | null

Optional description of what this tag represents

Response

Tag created

Response body for POST /api/v1/repositories/{repo_name}/tags

commit_id
string<uuid>
required

The commit ID this tag points to

reference
string
required

Full reference in image_name:tag format

tag_id
string<uuid>
required

The ID of the newly created tag